
// Aide ala fabrication de TCOs pour l'article "TCOs en Processing"
// version 1 du 27 decembre 2017
// Pierre Lecouffe

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// constantes

final static int GRIS_FOND=#D3D3D3,GRIS=#7F7F7F,NOIR=#000000,GRIS_FONCE=#555555; // couleurs

final int TAILLE_CASE=9; // cote d'une case en pixels
final int BORDURE=10; // bordure de la fenetre en pixels
final int ZOOM=5; // taux de zoom

final int LIGNES=3,COLONNES=20; // nombre de lignes et de colonnes

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// variables globales

Palette palette;

java.awt.datatransfer.Clipboard clipboard=java.awt.Toolkit.getDefaultToolkit().getSystemClipboard();

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void settings() {
  size(COLONNES*TAILLE_CASE*ZOOM+BORDURE+BORDURE, // taille de la fenetre
       LIGNES*TAILLE_CASE*ZOOM+BORDURE+BORDURE,
       P2D); // mode graphique 2D
}

//  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //

void setup() {
  noStroke(); 
  surface.setTitle("Aide1");
  palette=new Palette(BORDURE,BORDURE,5); // une palette   tests
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void draw() { 
  background(GRIS_FOND);  
  palette.dessiner(); // affichage palette
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void mouseClicked() { 
  palette.clicked(mouseX,mouseY);
}

//  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //

void mouseMoved () {
  palette.moved(mouseX,mouseY);
}

//  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //  //

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////