
// LE TCO

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class TCO {
  Pave[][] paves=new Pave[COLONNES][LIGNES]; // les cases du tco
 
  TCO() { construire(); } // constructeur
 
  void dessiner() { int l,c; Pave p;
    translate(BORDURE,BORDURE); // decalage pour la bordure
    for (l=0; l<LIGNES; l++) for (c=0; c<COLONNES; c++) { // dessin de la grille
      stroke(NOIR); noFill(); // bordure noire 1 pixel, pas de remplissage
      rect(c*TAILLE_CASE*ZOOM,l*TAILLE_CASE*ZOOM,TAILLE_CASE*ZOOM,TAILLE_CASE*ZOOM); // dessin d'un carre vide
    }
    noStroke(); // pas de bordure
    scale(ZOOM,ZOOM); // zoom des paves
    for (l=0; l<LIGNES; l++) for (c=0; c<COLONNES; c++) { // dessin des paves
      p=paves[c][l]; // un des paves
      if (p!=null) {
        pushMatrix(); // sauvegarde des transformations
        translate(c*TAILLE_CASE,l*TAILLE_CASE); // placement du pave dans la bonne case
        p.dessiner(); // dessin du pave
        popMatrix(); // restauration des transformations
      }
    }
  } 

  void construire() { int l=1,c=1; // construction tco ipcs
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveAiguilleDroite().symetrie().rotation(2);
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveAiguilleDroite().rotation(2);
    paves[c++][l]=new PaveDroit();
    l++; c=1; // passage à la ligne
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveAiguilleDroite().symetrie();
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveAiguilleDroite();
    paves[c++][l]=new PaveDroit();
    paves[c++][l]=new PaveDroit();
  }
} // fin tco

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////